TopLevelComplexType (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface TopLevelComplexType

- All Superinterfaces:
    Annotated, ComplexType, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    TopLevelComplexTypeImpl

      public interface TopLevelComplexType
      extends ComplexType

  An XML topLevelComplexType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<TopLevelComplexType>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ComplexType

      `addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewComplexContent, addNewGroup, addNewSequence, addNewSimpleContent, getAbstract, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBlock, getChoice, getComplexContent, getFinal, getGroup, getMixed, getSequence, getSimpleContent, insertNewAttribute, insertNewAttributeGroup, isSetAbstract, isSetAll, isSetAnyAttribute, isSetBlock, isSetChoice, isSetComplexContent, isSetFinal, isSetGroup, isSetMixed, isSetSequence, isSetSimpleContent, removeAttribute, removeAttributeGroup, setAbstract, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBlock, setChoice, setComplexContent, setFinal, setGroup, setMixed, setSequence, setSimpleContent, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAbstract, unsetAll, unsetAnyAttribute, unsetBlock, unsetChoice, unsetComplexContent, unsetFinal, unsetGroup, unsetMixed, unsetSequence, unsetSimpleContent, xgetAbstract, xgetBlock, xgetFinal, xgetMixed, xsetAbstract, xsetBlock, xsetFinal, xsetMixed`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<TopLevelComplexType> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getName

          String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `ComplexType`

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `ComplexType`

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `ComplexType`

    - #### setName

          void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `ComplexType`

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `ComplexType`

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `ComplexType`